<!--
  meiroku_text.xsl, ver.1.1
  written by Toshinobu OGISO & Asuko KONDO
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="magazine">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <style>
          body{background:ivory;overflow-x: scroll;overflow-y:auto;}
          .magazine_title{color:white;font-size:16pt;font-family:'ＭＳ Ｐゴシック',sans-serif;font-weight:bold;line-height:2;background-color:navy;padding:1em}
          .article{border:thin solid gray;margin:1em;padding:1em;}
          .target_string{color:magenta;font-weight:bold;}
          .honmon{font-size:14pt;font-family:'ＭＳ Ｐ明朝',serif;line-height:2}
          .figureBlock{padding:1.5em 0em 1.5em 1em;}
          .figureBlock span{color:grey;font-size:11pt;font-family:'ＭＳ Ｐゴシック',sans-serif;font-weight:bold;border:medium solid gray;padding:2em 5em;}
          .warigaki{font-size:11pt}
          .r{font-size:8pt;vertical-align:super}
          .lr{font-size:8pt;vertical-align:sub}

        </style>
        <title>
          <xsl:value-of select="/magazine/@title"/><xsl:value-of select="/magazine/@issue"/>号
        </title>
      </head>
      <body>
        <div class="honmon">
          <div class="magazine_title">
            <xsl:value-of select="@title"/><xsl:value-of select="@issue"/>号（<xsl:value-of select="@year"/>年）
          </div>
          <xsl:apply-templates/>
        </div>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="titleBlock|article">
    <div class="article">
      <xsl:apply-templates/>
    </div>
  </xsl:template>
  
  <xsl:template match="tg">
    <a class="target_string">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
        <xsl:apply-templates/>
    </a>
  </xsl:template>

  <xsl:template match="p|block">
    <xsl:apply-templates/><br/>
  </xsl:template>

  <xsl:template match="warigaki">
    <span class="warigaki">
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  
  <xsl:template match="figureBlock">
    <div class="figureBlock">
      <span>図表</span>
    </div>
    <xsl:apply-templates/>
  </xsl:template>  

  <xsl:template match="gap">
    <xsl:apply-templates/><span class="gap" title="判読不可 文字数={@quantity}">□</span>
  </xsl:template>
  
  <xsl:template match="ruby">
    <xsl:apply-templates/>
    <span class="r">
      <xsl:value-of select="@rubyText"/>
    </span>
  </xsl:template>
  
  <xsl:template match="lRuby">
    <xsl:apply-templates/>
    <span class="lr">
      <xsl:value-of select="@rubyText"/>
    </span>
  </xsl:template>

</xsl:stylesheet>

