<!--
  meiroku_text_image.xsl, ver.1.0
  written by Toshinobu OGISO & Asuko KONDO
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="magazine">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <style>
          body{background:ivory;overflow-x: scroll;overflow-y:auto;}
          .magazine_title{color:white;font-family:'ＭＳ Ｐゴシック',sans-serif;font-size:16pt;font-weight:bold;line-height:2;background-color:navy;padding:1em;}
          .target_string{color:magenta;font-weight:bold;}
          .honmon{font-size:14pt;font-family:'ＭＳ Ｐ明朝',serif;line-height:21pt;overflow:hidden;zoom:1;}
          .warigaki{font-size:11pt;font-family:'ＭＳ Ｐ明朝',serif;}        
          .pb{color:white;font-family:'ＭＳ Ｐゴシック',sans-serif;font-size:14pt;font-weight:bold;line-height:2;background-color:grey;padding:0.5em;clear:right}
          .figureBlock{padding:3em 0em 1.5em 1em;}
          .figureBlock span{color:grey;font-size:14pt;font-family:'ＭＳ Ｐ明朝',serif;border:medium solid gray;padding:2em 5em;}
          .r{font-size:8pt;vertical-align:super;}
          .lr{font-size:8pt,serif;vertical-align:sub;}
          .lb{font-size:14pt;}
          .img{float:right;margin:1em;width:30%;height:500;}
        </style>
        <title>
          <xsl:value-of select="/magazine/@title"/><xsl:value-of select="/magazine/@issue"/>号
        </title>
      </head>
      <body>
        <div class="magazine_title">
          <xsl:value-of select="@title"/><xsl:value-of select="@issue"/>号（<xsl:value-of select="@year"/>年）
        </div>
        <div class="honmon">
          <xsl:apply-templates/>
        </div>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="pb">
    <div class="pb">
      （<xsl:value-of select="@originalN"/>）
      <xsl:apply-templates/>
    </div>
      <div class="img">
        <a href="http://db3.ninjal.ac.jp/ninjaldl/convert.php?title=meirokuzassi&amp;size=50&amp;issue={ancestor::magazine/@issue}&amp;chou={translate(@originalN,'オウ','ou')}" target="_blank">
        <img src= "http://db3.ninjal.ac.jp/ninjaldl/get-image.php?title=meirokuzassi&amp;issue={ancestor::magazine/@issue}&amp;chou={translate(@originalN,'オウ','ou')}" height="500"/>
      </a>
    </div>
  </xsl:template>  
  
  <xsl:template match="lb">
    <br/><span class="lb">::　</span>
    <xsl:apply-templates/>
  </xsl:template>  
  
  <xsl:template match="figureBlock">
      <div class="figureBlock">
        <span>図表</span>
      </div>
      <xsl:apply-templates/>
  </xsl:template>  
  
  <xsl:template match="tg">
    <a class="target_string">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
        <xsl:apply-templates/>
    </a>
  </xsl:template>

  <xsl:template match="warigaki">
    <span class="warigaki">
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <xsl:template match="gap">
    <xsl:apply-templates/><span class="gap" title="判読不可 文字数={@quantity}">□</span>
  </xsl:template>
  
  <xsl:template match="ruby">
    <xsl:apply-templates/>
    <span class="r">
      <xsl:value-of select="@rubyText"/>
    </span>
  </xsl:template>
  
  <xsl:template match="lRuby">
    <xsl:apply-templates/>
    <span class="lr">
      <xsl:value-of select="@rubyText"/>
    </span>
  </xsl:template>

</xsl:stylesheet>

